<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../.resources/report.css" type="text/css"/><link rel="shortcut icon" href="../.resources/report.gif" type="image/gif"/><title>Player.java</title><link rel="stylesheet" href="../.resources/prettify.css" type="text/css"/><script type="text/javascript" src="../.resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../.sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">JaCoCoverage analysis of project &quot;ATL-OTHELLO-Monir&quot; (powered by JaCoCo from EclEmma)</a> &gt; <a href="index.source.html" class="el_package">esi.atl.othello.monir.model</a> &gt; <span class="el_source">Player.java</span></div><h1>Player.java</h1><pre class="source lang-java linenums">package esi.atl.othello.monir.model;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * This class represents the Player.
 *
 * @author Monir Nasser
 */
public class Player {

    private PlayerColor color;
    private List&lt;Piece&gt; pieces;
    private int points;

    /**
     * Allows to initialize the player with a Black color and an empty list of
     * pieces.
     */
<span class="fc" id="L22">    public Player() {</span>
<span class="fc" id="L23">        color = PlayerColor.BLACK;</span>
<span class="fc" id="L24">        pieces = new ArrayList&lt;&gt;();</span>
<span class="fc" id="L25">        points = 2;</span>
<span class="fc" id="L26">    }</span>

    /**
     * This method check if the color is null and throw a new exception.
     *
     * @param color the color of the piece.
     */
<span class="fc" id="L33">    public Player(PlayerColor color) {</span>
<span class="fc bfc" id="L34" title="All 2 branches covered.">        if (color == null) {</span>
<span class="fc" id="L35">            throw new NullPointerException(&quot;color is not defined&quot;);</span>
        }
<span class="fc" id="L37">        this.color = color;</span>
<span class="fc" id="L38">        pieces = new ArrayList&lt;&gt;();</span>
<span class="fc" id="L39">        points = 2;</span>
<span class="fc" id="L40">    }</span>

    /**
     * we can get the color of the object with this method
     *
     * @return the color
     */
    public PlayerColor getColor() {
<span class="fc" id="L48">        return color;</span>
    }

    /**
     * This method allows us to add a piece in the list.
     *
     * @param piece The piece we ant to add.
     */
    public void addPiece(Piece piece) {
<span class="fc" id="L57">        pieces.add(piece);</span>
<span class="fc" id="L58">    }</span>

    public void addPoints(Piece piece) {
<span class="fc" id="L61">        this.points += piece.getValue();</span>
<span class="fc" id="L62">    }</span>

    public void removePoints(Piece piece) {
<span class="fc" id="L65">        this.points -= piece.getValue();</span>
<span class="fc" id="L66">    }</span>

    /**
     * This method allows us to get the last piece in the list.
     *
     * @return The last piece of the list.
     */
    public Piece getPiece() {
<span class="fc" id="L74">        return pieces.get(sizeList() - 1);</span>
    }

    /**
     * This method allows us to get the size of the list.
     *
     * @return The size of the list.
     */
    public int sizeList() {
<span class="fc" id="L83">        return pieces.size();</span>
    }

    /**
     * This method allows us to shuffle the list.
     */
    public void shuffleList() {
<span class="fc" id="L90">        Collections.shuffle(pieces);</span>
<span class="fc" id="L91">    }</span>

    /**
     * This method allows us to remove the last pieces of the list.
     */
    public void removePiece() {
<span class="fc" id="L97">        pieces.remove(sizeList() - 1);</span>
<span class="fc" id="L98">    }</span>

    public int getPoints() {
<span class="fc" id="L101">        return points;</span>
    }

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.eclemma.org/jacoco">JaCoCo</a> 0.7.6.201602180812</span></div></body></html>